View Seller’s App List

View a list of all of the seller's registered apps using the Content Publish API.

Request

GET /seller/contentList

Example:

curl -i -X GET \
  -H "Authorization: Bearer <your-access-token>" \
  -H "service-account-id: <your-service-account-id>" \
  "https://devapi.samsungapps.com/seller/contentList"

Response

Parameters

Name

Type

Description

contentName

string

Name of the app.

contentId

integer

The unique 12-digit identifier of the app.

contentStatus

string

The status of the app in Seller Portal.

standardPrice

double

The standard price in USD (United States of America dollars) that determines the default country-specific price for all distribution countries.

paid

Boolean

Whether or not the app download requires a user payment:

Y: The user must pay to download the app
N: The app is free to download

modifyDate

string

The date the app was last updated in Seller Portal.

advStatus

string

Android Developer Verification (ADV) status.

<Null> (no value): The binary has successfully completed Google's ADV registration process and is ADV-approved.
ADV_VERIFICATION_REQUIRED: The binary has not successfully completed Google's ADV registration process. For countries in which ADV is enforced, the app will not be listed in Galaxy Store and re-downloads and updates are blocked.

See the Seller Portal notice for more information.


Success

[
  {
    "contentName": "Samsung Pay",
    "contentId": "000001234567",
    "contentStatus": "REGISTERING",
    "standardPrice": null,
    "paid": "N",
    "modifyDate": "2021-02-23 01:26:26.0"",
    "advStatus": ""
  },
  {
    "contentName": "Samsung Health",
    "contentId": "000002345678",
    "contentStatus": "FOR_SALE",
    "standardPrice": "0",
    "paid": "N",
    "modifyDate": "2021-02-23 00:23:19.0",
    "advStatus": ""
  },
  {
    "contentName": "Samsung Gallery",
    "contentId": "000003456789",
    "contentStatus": "READY_FOR_CHANGE",
    "standardPrice": "0",
    "paid": "N",
    "modifyDate": "2021-02-22 23:40:46.0"",
    "advStatus": ""
  },
  {
    "contentName": "Samsung Music",
    "contentId": "000004567890",
    "contentStatus": "READY_TO_PREEXAMINATION",
    "standardPrice": "10",
    "paid": "Y",
    "modifyDate": "2021-02-18 06:48:08.0"",
    "advStatus": ""
  },
  {
    "contentName": "SmartThings",
    "contentId": "000009876543",
    "contentStatus": "UNDER_CONTENT_REVIEW",
    "standardPrice": "0",
    "paid": "N",
    "modifyDate": "2020-10-06 06:44:35.0"",
    "advStatus": ""
  },
  {
    "contentName": "Galaxy Wearable",
    "contentId": "000008765432",
    "contentStatus": "CANCELED",
    "standardPrice": "0",
    "paid": "N",
    "modifyDate": "2020-08-11 04:40:27.0"",
    "advStatus": ""
  }
]

See Failure response codes for a list of possible response codes when a request fails.